/*---------------------------------------------------------------------------*
 *                                   IT++			             *
 *---------------------------------------------------------------------------*
 * Copyright (c) 1995-2005 by Tony Ottosson, Thomas Eriksson, Pl Frenger,   *
 * Tobias Ringstrm, and Jonas Samuelsson.                                   *
 *                                                                           *
 * Permission to use, copy, modify, and distribute this software and its     *
 * documentation under the terms of the GNU General Public License is hereby *
 * granted. No representations are made about the suitability of this        *
 * software for any purpose. It is provided "as is" without expressed or     *
 * implied warranty. See the GNU General Public License for more details.    *
 *---------------------------------------------------------------------------*/

/*! 
  \file 
  \brief Include file for the it++ communication protocols library

  Developed at the Dept. of Signals and Systems, Chalmers University of Technology,
  SE-412 96 Gteborg.

  1.6

  2005/03/04 10:17:47
*/

#ifndef __itprotocol_h
#define __itprotocol_h

#include "itcomm.h"

#include "protocol/events.h"
#include "protocol/signals_slots.h"

#include "protocol/packet.h"
#include "protocol/packet_generator.h"
#include "protocol/packet_channel.h"

#include "protocol/front_drop_queue.h"

#include "protocol/selective_repeat.h"

#include "protocol/tcp.h"
#include "protocol/tcp_client_server.h"


#endif // __itprotocol_h
