/*---------------------------------------------------------------------------*
 *                                   IT++			             *
 *---------------------------------------------------------------------------*
 * Copyright (c) 1995-2005 by Tony Ottosson, Thomas Eriksson, Pl Frenger,   *
 * Tobias Ringstrm, and Jonas Samuelsson.                                   *
 *                                                                           *
 * Permission to use, copy, modify, and distribute this software and its     *
 * documentation under the terms of the GNU General Public License is hereby *
 * granted. No representations are made about the suitability of this        *
 * software for any purpose. It is provided "as is" without expressed or     *
 * implied warranty. See the GNU General Public License for more details.    *
 *---------------------------------------------------------------------------*/

/*!
  \file
  \brief Include file for the it++ fixed-point library

  Developed at the Dept. of Signals and Systems, Chalmers University of Technology,
  SE-412 96 Gteborg.

  1.3

*/

#ifndef __itfixedpoint_h
#define __itfixedpoint_h

#include "itbase.h"

#include "fixedpoint/fix_base.h"
#include "fixedpoint/fix.h"
#include "fixedpoint/fixed.h"
#include "fixedpoint/cfix.h"
#include "fixedpoint/cfixed.h"
#include "fixedpoint/fix_factory.h"
#include "fixedpoint/fix_operators.h"
#include "fixedpoint/fix_functions.h"


#endif // __itfixedpoint_h
